查看: 91|回复: 1

[求助] 移植opencv2.4.9到itop4412精英版为什么无法打开摄像头

[复制链接]

1

主题

0

好友

8

积分

白丁

Rank: 1

该用户从未签到

发表于 2016-12-15 11:12:39 |显示全部楼层
交叉编译opencv2.4.9成功在x86的ubuntu上运行基于opencv的Qt程序也可以打开摄像头.但是移植到开发板的QT环境中却无法打开摄像,而且也没有提示什么库文件不存在,这是为什么呢?

回复

使用道具 举报

20

主题

0

好友

196

积分

童生

Rank: 2

该用户从未签到

发表于 2016-12-15 15:06:45 |显示全部楼层
你需要把用arm-linux-gcc编译出来的libopencv_xx.so都拷到开发板的lib文件夹下,另外,opencv交叉编译需要的libpng。zlib。和ffmp等支持库的so也一起拷贝到开发板上

详情了解迅为: QQ图片20161214095143.png

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

关闭

站长推荐上一条 /1 下一条

手机版|爱板网 |网站地图  

GMT+8, 2017-1-18 18:02 , Processed in 0.082214 second(s), 11 queries , Memcache On.

苏公网安备 32059002001056号

Powered by Discuz!

回顶部